var
  n, i, j: longint;
  s: string;
begin
  assign(output, '07');
  rewrite(output);

  n := 19;
  writeln(n);
  s := 'SHEISDEADKINDOFGIRL';
  writeln(s);
  randomize;
  for i := 1 to n do
  begin
    for j := 1 to 6 do
      write(s[random(n) + 1]);
    writeln;
  end;
end.